expiry = {};

local version = GetAddOnMetadata("BattlegroundBanners","Version");
print("Battleground Banners "..version);


local frame = CreateFrame("FRAME", "BattlegroundBannersFrame");
frame:RegisterEvent("UNIT_SPELLCAST_SUCCEEDED");

-- Event Handlers

local function alertBattleStandardPlaced(self, event, ...)
    local unitID, spell, rank, lineID, spellID = select(1, ...);
    
    -- 23404 ally battle standard -- 2305 horde battle standard
    if spellID == 2305 or spellID == 23035 then
        local playerName = UnitName(unitID);
        local message = (playerName.." Placed a Battle Standard");
        
        UIErrorsFrame:AddMessage(message, 0.0, 1.0, 0.0, 3);
        PlaySoundFile("Interface\\AddOns\\BattlegroundBanners\\Media\\battle_standard_placed.ogg");
       
       expiry[playerName]  = GetTime() + 120;
       
    end
    
    
end


local function onUpdate(self,elapsed)

    for k,v in pairs(expiry) do
         if v < GetTime() then
            UIErrorsFrame:AddMessage(k.." Battle Standard Expired !", 1.0, 0.0, 0.0, 3);
            PlaySoundFile("Interface\\AddOns\\BattlegroundBanners\\Media\\battle_standard_expired.ogg");
            expiry[k] = nil;
        end
    end
end

frame:SetScript("OnEvent", alertBattleStandardPlaced);
frame:SetScript("OnUpdate", onUpdate);